jQuery( document ).ready( function () {
	if ( jQuery.isFunction( jQuery.fn.wpColorPicker ) ) {
		jQuery( '#_wpbpc_background_color, #_wpbpc_font_color' ).wpColorPicker();
	}
	jQuery( '#_wpbpc_background_color, #_wpbpc_font_color' ).parent().parent().find( '.ui-slider' ).addClass( 'wpbpc_ui_slider' );

	function action_display() {
		var action = jQuery( '#_wpbpc_action' ).val();

		switch ( action ) {
			case 'email':
				jQuery( '#_wpbpc_redirect_url, #_wpbpc_end_message' ).parent().hide();
				jQuery( '#_wpbpc_email, #_wpbpc_email_message' ).parent().show();
				break;
			case 'redirect':
				jQuery( '#_wpbpc_redirect_url' ).parent().show();
				jQuery( '#_wpbpc_email, #_wpbpc_email_message, #_wpbpc_end_message' ).parent().hide();
				break;
			case 'message':
				jQuery( '#_wpbpc_end_message' ).parent().show();
				jQuery( '#_wpbpc_email, #_wpbpc_email_message, #_wpbpc_redirect_url' ).parent().hide();
				break;
			default:
				jQuery( '#_wpbpc_email, #_wpbpc_email_message, #_wpbpc_end_message, #_wpbpc_redirect_url' ).parent().hide();
		}
	}

	action_display();

	jQuery( '#_wpbpc_action' ).change( function () {
		action_display();
	} );

	function variable_product_action_hint() {
		if ( jQuery( '#product-type' ).val() != 'variable' ) {
			jQuery( '#_wpbpc_action' ).parent().find( 'span.description' ).css( 'color', '' );
		} else {
			jQuery( '#_wpbpc_action' ).parent().find( 'span.description' ).css( 'color', 'red' );
		}
	}

	jQuery( '#product-type' ).change( function () {
		variable_product_action_hint();
	} );

	variable_product_action_hint();

	/**
	 * AJAX Chosen
	 */
	if ( jQuery().ajaxChosen ) {
		jQuery( '.chzn-select-ajax' ).each( function () {
			var thisObj = jQuery( this );
			jQuery( this ).ajaxChosen( {
				'method'               : 'GET',
				'url'                  : ajaxurl,
				'dataType'             : 'json',
				'afterTypeDelay'       : 100,
				'allow_single_deselect': true,
				'data'                 : {
					'action'         : thisObj.data( 'ajax_action' ),
					'_wpb_nonce_name': thisObj.data( 'ajax_nonce' )
				}
			}, function ( data ) {

				if ( 'success' in data && data.success == true && 'data' in data ) {
					return data.data;
				}

				return [
					{"value": 0, "text": "Nothing found!"}
				];

			} );
			jQuery( this ).data( 'chosen' ).allow_single_deselect = true;
		} );
	}

} );